package com.ruoyi.web.work.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.web.work.mapper.KnowledgeMapper;
import com.ruoyi.web.work.domain.Knowledge;
import com.ruoyi.web.work.service.IKnowledgeService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * @author lsw
 * @date 2024-07-10
 */
@Service
public class KnowledgeServiceImpl extends ServiceImpl<KnowledgeMapper, Knowledge> implements IKnowledgeService {
    @Autowired
    private KnowledgeMapper knowledgeMapper;

    @Override
    public List<Knowledge> selectList(Knowledge knowledge) {
        return knowledgeMapper.selectList(knowledge);
    }
}
